﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SQLite;
using System.Data.Common;

namespace SQLiteCon
{
    //使用SQLiteConnection
    public class mytestnList2
    {
        //利用資料庫查詢把內容查出後存到List的泛型裡
        public List<mytest> getAllList()
        {
            List<mytest> list = new List<mytest>();
            SQLiteConnection conn = Db.getConnection2();

            conn.Open();
            try
            {
                String sql = "select * from mytest";
                SQLiteCommand com = conn.CreateCommand();
                com.CommandText = sql;
                SQLiteDataReader reader = com.ExecuteReader();

                while (reader.Read())
                {
                    mytest idc = new mytest();

                    idc.item_id = reader.GetString(0);
                    idc.item_name = reader.GetString(1);

                    list.Add(idc);

                }




            }
            catch (Exception ex)
            {

                Console.WriteLine(ex);
            }
            finally
            {
                conn.Close();
            }
            return list;
        }
    }

    //使用DbConnection
    public class mytestnList
    {
        //利用資料庫查詢把內容查出後存到List的泛型裡
        public List<mytest> getAllList()
        {
            List<mytest> list = new List<mytest>();
            DbConnection conn = Db.getConnection();

            conn.Open();
            try
            {
                String sql = "select * from mytest";
                DbCommand com = conn.CreateCommand();
                com.CommandText = sql;
                DbDataReader reader = com.ExecuteReader();

                while (reader.Read())
                {
                    mytest idc = new mytest();

                    idc.item_id = reader.GetString(0);
                    idc.item_name = reader.GetString(1);

                    list.Add(idc);

                }

            }
            catch (Exception ex)
            {

                Console.WriteLine(ex);
            }
            finally
            {
                conn.Close();
            }
            return list;
        }
    }

    //資料型態與名稱
    public class mytest
    {
        public String item_id
        {
            set;
            get;
        }
        public String item_name
        {
            set;
            get;
        }
    }
}
