﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Common;
using System.Data.SQLite;
using System.IO;


namespace SQLiteCon
{
    class Db
    {
        private static DbProviderFactory fact = DbProviderFactories.GetFactory("System.Data.SQLite");
        public static DbConnection getConnection()
        {

            if (!Directory.Exists("db"))
            {
                Directory.CreateDirectory("db");
            }
            //檔案不存在時就建立
            if (!File.Exists("db/db.s3db"))
            {
                //自動建立SQLite檔案
                SQLiteConnection.CreateFile("db/db.s3db");
            }
            DbConnection cnn = fact.CreateConnection();
            cnn.ConnectionString = "Data Source=db/db.s3db";
            return cnn;
        }
        public static SQLiteConnection getConnection2()
        {
            if (!Directory.Exists("db"))
            {
                Directory.CreateDirectory("db");
            }
            if (!File.Exists("db/db.s3db"))
                SQLiteConnection.CreateFile("db/db.s3db");
            return new SQLiteConnection("Data Source=db/db.s3db");
        }
    }
}
